#if !defined  HAVE_PRINTCYCLES_H__
#define       HAVE_PRINTCYCLES_H__


//#include "ds/bitarray.h"
class bitarray;

#include "fxttypes.h"

// perm/printcycles.cc:
ulong print_cycles(const ulong *f, ulong n, bitarray *bp=0);
ulong print_cycle(const ulong *f, ulong e0=0);



#endif  // !defined HAVE_PRINTCYCLES_H__
